Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

How do I search for modules?


Reply

6 Posts   839 Views

Avatar
Judge

21 January 2010 at 5:11am Community Member, 79 Posts

There does not appear to be a method to search for modules on this website. In fact not all modules are even displaying.

I downloaded one module (data manager) that required the SWFloader module, but that is not anywhere in the modules index. I eventually found it through Google, but can not find any route to it on this website.

http://www.silverstripe.org/swfuploadfield-module/

Is there any way a simply keyword search can be added for the modules, themes and widgets?

-- Jason

Avatar
Taffy

21 January 2010 at 5:35am Community Member, 119 Posts

There have been a couple of discussions on this:

http://groups.google.com/group/silverstripe-dev/browse_thread/thread/62702cc71697ac7f/4d49b779b114bd04?lnk=gst&q=modules&safe=active#4d49b779b114bd04

http://groups.google.com/group/silverstripe-dev/browse_thread/thread/cf2f5728df15d4f5/29a970e0f3857631?lnk=gst&q=modules&safe=active#29a970e0f3857631

You can browse a load of silverstripe modules @ http://open.silverstripe.org/browser/modules/ Some in early dev hence not being listed on http://silverstripe.org/modules/ . The problem is this does not include 3rd party modules like the DOM or SWFuploadfield.

Saying that the SWFuploadfield is listed. You must not have been looking at the unsupported modules @ http://silverstripe.org/modules/prerelease

Avatar
Judge

21 January 2010 at 6:23am (Last edited: 21 January 2010 6:25am), Community Member, 79 Posts

I am looking in the supported modules, which cover three pages:

http://silverstripe.org/modules/
http://silverstripe.org/modules/?start=10
http://silverstripe.org/modules/?start=20

It (SWFuploadeder) is not on any of those pages.

I'd be surprised if the SWFuploader is not a supported module because the supported Data Object Manager requires it. I only discovered this module existed when I got this error as soon as the Data Object Manager was installed:

Error: DataObjectManager requires the SWFUpload module.

I'll keep my eye on updates in Trac though.

-- Jason

Avatar
Willr

21 January 2010 at 12:19pm Forum Moderator, 5511 Posts

@Judge - I think its listed as a unsupported module http://silverstripe.org/swfuploadfield-module/.

Avatar
Judge

21 January 2010 at 12:28pm Community Member, 79 Posts

Oh yes, page 9:

http://silverstripe.org/modules/prerelease?start=80

I couldn't find that before.

Avatar
Taffy

22 January 2010 at 10:03pm Community Member, 119 Posts

They have just announced a re-vamp of the modules section http://groups.google.com/group/silverstripe-dev/browse_thread/thread/58f80c53dd9288f9

http://silverstripe.org/modules

Looks much better. Cheers SS :)